Bug 458248 - Review Request: ibus-m17n - m17n engine for IBus
Review Request: ibus-m17n - m17n engine for IBus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 05:38 EDT by Peng Huang
Modified: 2008-08-13 04:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 04:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-07 05:38:39 EDT
Spec URL: http://ibus.googlecode.com/files/ibus-m17n.spec
SRPM URL: http://ibus.googlecode.com/files/ibus-m17n-0.1.0.20080709-1.fc9.src.rpm
Description: m17n engine for IBus
Comment 1 Parag AN(पराग) 2008-08-08 01:59:04 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=765917
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5d40778080e012f7fcf25342d0b21966  ibus-m17n-0.1.0.20080709.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package ibus-m17n-0.1.0.20080709-1.fc10 =>
  Provides: _m17n.so
  Requires: /bin/sh libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libm17n-core.so.0
 libm17n.so.0 python(abi) = 2.5 rtld(GNU_HASH)

 APPROVED.
Comment 2 Peng Huang 2008-08-08 02:07:42 EDT
New Package CVS Request
=======================
Package Name: ibus-m17n
Short Description: M17N engine for IBus platform
Owners: phuang
Branches: F-9
InitialCC: phuang
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-09 21:27:09 EDT
cvs done.
Comment 4 Peng Huang 2008-08-10 14:14:50 EDT
It has been built in koji.
Comment 5 Peng Huang 2008-08-13 00:52:38 EDT
New Package CVS Request
=======================
Package Name: ibus-m17n
Short Description: M17N engine for IBus platform
Owners: phuang
Branches: EPEL-5
InitialCC: phuang
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-13 01:06:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.